Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1044935 - Review Request: perl-Email-Address-List - RFC close address list parsing
Summary: Review Request: perl-Email-Address-List - RFC close address list parsing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: rt4-dependencies-tracker
TreeView+ depends on / blocked
 
Reported: 2013-12-19 09:21 UTC by Ralf Corsepius
Modified: 2014-01-11 08:49 UTC (History)
2 users (show)

Fixed In Version: perl-Email-Address-List-0.01-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-11 08:46:35 UTC
Type: ---
i: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Ralf Corsepius 2013-12-19 09:21:56 UTC
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-Email-Address-List.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-Email-Address-List-0.01-1.fc21.src.rpm
Description: Parser for From, To, Cc, Bcc, Reply-To, Sender and previous prefixed with Resent- (e.g. Resent-From) headers.
Fedora Account System Username: corsepiu

Comment 1 Christopher Meng 2013-12-27 12:31:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 11 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
Email-Address-List-0.01/inc/Module/Install.pm
Email-Address-List-0.01/inc/Module/Install/Base.pm
Email-Address-List-0.01/inc/Module/Install/Can.pm
Email-Address-List-0.01/inc/Module/Install/Fetch.pm
Email-Address-List-0.01/inc/Module/Install/Makefile.pm
Email-Address-List-0.01/inc/Module/Install/Metadata.pm
Email-Address-List-0.01/inc/Module/Install/ReadmeFromPod.pm
Email-Address-List-0.01/inc/Module/Install/Win32.pm
Email-Address-List-0.01/inc/Module/Install/WriteAll.pm
Email-Address-List-0.01/lib/Email/Address/List.pm
Email-Address-List-0.01/t/generate.pl

[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Email(perl-Email-Abstract, perl-Email-Date-
     Format, perl-Email-Simple, perl-Email-Date)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: perl-Email-Address-List-0.01-1.fc21.noarch.rpm
          perl-Email-Address-List-0.01-1.fc21.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Email-Address-List
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Email-Address-List (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.18.1)
    perl(Email::Address)
    perl(strict)



Provides
--------
perl-Email-Address-List:
    perl(Email::Address::List)
    perl-Email-Address-List



Source checksums
----------------
http://www.cpan.org/authors/id/R/RU/RUZ/Email-Address-List-0.01.tar.gz :
  CHECKSUM(SHA256) this package     : 8ff17fc06ff6d67d378e30f16e2e1930f2a1d5db2f7f59973b4166d38cac4a3e
  CHECKSUM(SHA256) upstream package : 8ff17fc06ff6d67d378e30f16e2e1930f2a1d5db2f7f59973b4166d38cac4a3e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn perl-Email-Address-List-0.01-1.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: BATCH, EPEL5, EXARCH, DISTTAG
----------------

PACKAGE APPROVED.

NOTE!:

Please remove this line in all of your packages(including recent rt4-related perl packages):

find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

It's an ancient bug in ExtUtils which has been fixed already for years.

Comment 2 Ralf Corsepius 2013-12-30 06:51:35 UTC
New Package SCM Request
=======================
Package Name: perl-Email-Address-List
Short Description: RFC close address list parsing
Owners: corsepiu
Branches: f20 f19
InitialCC: perl-sig

Comment 3 Jens Petersen 2014-01-02 12:39:02 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-01-02 14:48:25 UTC
perl-Email-Address-List-0.01-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Email-Address-List-0.01-1.fc20

Comment 5 Fedora Update System 2014-01-02 14:48:51 UTC
perl-Email-Address-List-0.01-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Email-Address-List-0.01-1.fc19

Comment 6 Fedora Update System 2014-01-03 08:32:23 UTC
perl-Email-Address-List-0.01-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 7 Fedora Update System 2014-01-11 08:46:35 UTC
perl-Email-Address-List-0.01-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-01-11 08:49:34 UTC
perl-Email-Address-List-0.01-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.